﻿'Copyright (C) 2010 pepetaro, All rights reserved.
'This library is free software; you can redistribute it and/or
'modify it under the terms of the GNU Lesser General Public
'License as published by the Free Software Foundation; either
'version 3 of the License, or (at your option) any later version.

'This library is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'Lesser General Public License for more details.

'You should have received a copy of the GNU Lesser General Public
'License along with this library; if not, write to the Free Software
'Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

''' <summary>ITwitterDataのデータの種類です。</summary>
Public Enum IdObjectType
    ''' <summary>データがその他であることを表します。通常は使いません。</summary>
    Other
    ''' <summary>データがユーザーIDであることを表します。</summary>
    User
    ''' <summary>データがつぶやきIDであることを表します。</summary>
    Status
    ''' <summary>データがDMのIDであることを表します。</summary>
    DirectMessage
    ''' <summary>データがリストのIDであることを表します。</summary>
    List
    ''' <summary>データが保存された検索のIDであることを表します。</summary>
    SavedSearch
End Enum

''' <summary>アカウント情報の種類</summary>
Public Enum ProfileItems
    ''' <summary>名称</summary>
    Name
    ''' <summary>Webページ</summary>
    Url
    ''' <summary>現在地</summary>
    Location
    ''' <summary>自己紹介</summary>
    Description
End Enum

''' <summary>リストの公開モード</summary>
Public Enum ListMode
    ''' <summary>リストを公開します。</summary>
    [Public]
    ''' <summary>リストを非公開にします。</summary>
    [Private]
End Enum


Public Enum ListUpdateItems
    ''' <summary>リスト名</summary>
    Name
    ''' <summary>公開モード</summary>
    Mode
    ''' <summary>説明</summary>
    Description
End Enum